Subject: bug#51693: [patch] Add Java 17

From: Julien Lepiller <[email-masked]>
Date: Mon, 15 Nov 2021 13:59:12 +0100

Hi, I think you fixed openjdk16 instead of openjdk17, this makes the
patch a bit confusing to read.

Le Sun, 14 Nov 2021 21:59:44 +0100,
"Dr. Arne Babenhauserheide" <[email-masked]> a écrit :

> Julien Lepiller <[email-masked]> writes:
> 
> > Le Mon, 08 Nov 2021 21:32:16 +0100,
> > "Dr. Arne Babenhauserheide" <[email-masked]> a écrit :
> >  
> >> the attached patch adds openjdk@17
> >> 
> >> Take care with updating packages depending on this, because the
> >> changes to the module system can cause runtime failures.  
> 
> > sorry for the delay.  
> 
> No problems — thank you for checking my patch!
> 
> > I tried your patch, but the build fails for me
> > because it goes "out of file descriptors" and "unix resources".
> > Does it work for you?  
> 
> It works for me, yes.
> 
> ./pre-inst-env guix environment --ad-hoc openjdk@17:jdk -- java
> -version …
> openjdk version "17.0.1" 2021-10-19
> OpenJDK Runtime Environment (build 17.0.1+0-adhoc..source)
> OpenJDK 64-Bit Server VM (build 17.0.1+0-adhoc..source, mixed mode,
> sharing)
> 
> > I tried with various levels of parallelism, but it did not
> > change anything.
> >
> > also about your patch, could you replace (invoke "chmod" "u+w" file)
> > with a call to make-writable?  
> 
> Do you mean `make-file-writable` ? I switched to that now.
> 
> > It's available by default in the build
> > environment, it comes from (guix build utils). I wonder also why you
> > inherit arguments from openjdk15 instead of openjdk16?  
> 
> That was a mistake — thank you!
> 
> I attached a new patch.
>